summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-11-10 16:55:39 +0000
committerGerrit Code Review <gerrit@fd.io>2020-11-10 16:55:39 +0000
commit7740129d8f318e022ced4bcd4c12dc873a1df745 (patch)
tree25064eb7302fee0be2843893de610dba003d3d8a
parentdd658116944d375690a1666bf53d2ecaaccd9ecf (diff)
parent8b8f1a2b7bf7407581eb3157a789d443191388b0 (diff)
Merge "Fix packagecloud_push.sh upload failure for vpp-ext-deps"
-rw-r--r--jjb/scripts/packagecloud_push.sh25
1 files changed, 22 insertions, 3 deletions
diff --git a/jjb/scripts/packagecloud_push.sh b/jjb/scripts/packagecloud_push.sh
index 6af2f512..d294e312 100644
--- a/jjb/scripts/packagecloud_push.sh
+++ b/jjb/scripts/packagecloud_push.sh
@@ -23,6 +23,7 @@ sleep 10
FACTER_OS=$(/usr/bin/facter operatingsystem)
push_cmd=""
+push_ext_deps_cmd=""
# PCIO_CO and SILO are Jenkins Global Environment variables defined in
# .../ci-management/jenkins-config/global-vars-*.sh
@@ -30,19 +31,31 @@ if [ -f ~/.packagecloud ]; then
case "$FACTER_OS" in
Debian)
FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
- DEBS=$(find . -type f -iname '*.deb')
+ DEBS=$(find . -type f -iname '*.deb' | grep -v vpp-ext-deps)
push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/ ${DEBS}"
+ EXT_DEPS_DEB=$(find . -type f -iname 'vpp-ext-deps*.deb')
+ if [ -n "$EXT_DEPS_DEB" ] ; then
+ push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/debian/${FACTER_LSBNAME}/main/ ${EXT_DEPS_DEB} || true"
+ fi
;;
Ubuntu)
FACTER_LSBNAME=$(/usr/bin/facter lsbdistcodename)
- DEBS=$(find . -type f -iname '*.deb')
+ DEBS=$(find . -type f -iname '*.deb' | grep -v vpp-ext-deps)
push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/ ${DEBS}"
+ EXT_DEPS_DEB=$(find . -type f -iname 'vpp-ext-deps*.deb')
+ if [ -n "$EXT_DEPS_DEB" ] ; then
+ push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/ubuntu/${FACTER_LSBNAME}/main/ ${EXT_DEPS_DEB} || true"
+ fi
;;
CentOS)
FACTER_OSMAJREL=$(/usr/bin/facter operatingsystemmajrelease)
FACTER_ARCH=$(/usr/bin/facter architecture)
- RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm')
+ RPMS=$(find . -type f -iregex '.*/.*\.\(s\)?rpm' | grep -v vpp-ext-deps)
push_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${RPMS}"
+ EXT_DEPS_RPM=$(find . -type f -iname 'vpp-ext-deps*.rpm')
+ if [ -n "$EXT_DEPS_RPM" ] ; then
+ push_ext_deps_cmd="package_cloud push ${PCIO_CO}/${STREAM}/el/${FACTER_OSMAJREL}/os/${FACTER_ARCH}/ ${EXT_DEPS_RPM} || true"
+ fi
;;
*)
echo "ERROR: Unsupported OS '$FACTER_OS'"
@@ -52,8 +65,14 @@ if [ -f ~/.packagecloud ]; then
esac
if [ "${SILO,,}" = "sandbox" ] ; then
echo "SANDBOX: skipping '$push_cmd'"
+ if [ -n "$push_ext_deps_cmd" ] ; then
+ echo "SANDBOX: skipping '$push_ext_deps_cmd'"
+ fi
else
$push_cmd
+ if [ -n "$push_ext_deps_cmd" ] ; then
+ $push_ext_deps_cmd
+ fi
fi
else
echo "ERROR: Missing '~/.packagecloud' for user '$(id)'"